Name: x11-driver-input-joystick
Version: 1.6.4
Release: %mkrel 2
Summary: X.org input driver for joysticks
Group: System/X11
URL: https://xorg.freedesktop.org
Source: https://xorg.freedesktop.org/releases/individual/driver/xf86-input-joystick-%{version}.tar.xz
License: MIT

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires xinput)

Conflicts: xorg-x11-server < 7.0

%description
Joystick is an X.org input driver for joysticks.

%prep
%autosetup -p1 -n xf86-input-joystick-%{version}

%build
%configure --prefix=/usr
%make_build

%install
%make_install

#(eandry) remove devel file, create a devel package if needed
rm -rf %{buildroot}%{_includedir}/xorg/*.h
rm -rf %{buildroot}%{_libdir}/pkgconfig/*.pc

%files
%{_libdir}/xorg/modules/input/joystick_drv.so
%_mandir/man4/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.6.4-2.mga10
+ Revision: 2216774
- Mageia 10 Mass Rebuild

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.6.4-1.mga9
+ Revision: 1919984
- 1.6.4

* Fri Apr 01 2022 umeabot <umeabot> 1.6.3-7.mga9
+ Revision: 1838340
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1.6.3-6.mga9
+ Revision: 1790039
- fix files list
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.6.3-5.mga8
+ Revision: 1518429
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.6.3-4.mga7
+ Revision: 1301737
- Mageia 7 Mass Rebuild

* Fri Mar 09 2018 tv <tv> 1.6.3-3.mga7
+ Revision: 1207697
- rebuild for xserver 1.20 RC1

* Sun Nov 20 2016 tv <tv> 1.6.3-2.mga6
+ Revision: 1068474
- droped merged patch
- new release

* Thu Nov 17 2016 tv <tv> 1.6.2-16.mga6
+ Revision: 1067702
- add patch for xserver 1.19
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.6.2-14.mga6
+ Revision: 1043336
- rebuild for xorg-server 1.18.4

* Tue Jan 19 2016 neoclust <neoclust> 1.6.2-13.mga6
+ Revision: 925863
- Rebuild to have correct requires on ARM

* Wed Nov 11 2015 tv <tv> 1.6.2-12.mga6
+ Revision: 902258
- submit to core/release

* Tue Nov 10 2015 tv <tv> 1.6.2-11.mga6
+ Revision: 901419
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.6.2-10.mga6
+ Revision: 835939
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.6.2-9.mga5
+ Revision: 742192
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.2-8.mga5
+ Revision: 690405
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.6.2-7.mga5
+ Revision: 634957
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.6.2-6.mga5
+ Revision: 633626
- rebuild for new xserver RC

* Fri Jun 06 2014 tv <tv> 1.6.2-5.mga5
+ Revision: 633612
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.6.2-4.mga5
+ Revision: 614298
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.6.2-3.mga5
+ Revision: 582186
- rebuild for new xserver

* Mon Oct 21 2013 umeabot <umeabot> 1.6.2-2.mga4
+ Revision: 539299
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 tv <tv> 1.6.2-1.mga4
+ Revision: 491904
- new release

* Thu May 30 2013 tv <tv> 1.6.1-6.mga4
+ Revision: 433095
- submit to core/release

* Mon Jan 14 2013 umeabot <umeabot> 1.6.1-5.mga4
+ Revision: 385944
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 tv <tv> 1.6.1-4.mga3
+ Revision: 289352
- rebuild for new xserver
- rebuild for new xserver

* Wed Jun 06 2012 tmb <tmb> 1.6.1-3.mga3
+ Revision: 256321
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.6.1-2.mga3
+ Revision: 252977
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.6.1-1.mga3
+ Revision: 249780
- new release

* Tue Dec 06 2011 tmb <tmb> 1.6.0-5.mga2
+ Revision: 177486
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.6.0-4.mga2
+ Revision: 153310
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-3.mga2
+ Revision: 153294
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 1.6.0-2.mga2
+ Revision: 153080
- rebuild for xserver-1.11

* Sat Apr 30 2011 tv <tv> 1.6.0-1.mga1
+ Revision: 93626
- new release (xserver-1.10 compatible)

* Sat Mar 05 2011 tmb <tmb> 1.5.0-6.mga1
+ Revision: 64847
- fix build with x11-server 1.10
+ tv <tv>
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.5.0-4.mga1
+ Revision: 50151
- imported package x11-driver-input-joystick


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.5.0-4mdv2011.0
+ Revision: 595749
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.5.0-3mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Tue Nov 10 2009 Thierry Vignaud <tv@mandriva.org> 1.5.0-2mdv2010.1
+ Revision: 464332
- rebuild for new xserver

* Mon Nov 09 2009 Thierry Vignaud <tv@mandriva.org> 1.5.0-1mdv2010.1
+ Revision: 463604
- new release

* Thu Apr 30 2009 Ander Conselvan de Oliveira <ander@mandriva.com> 1.4.1-1mdv2010.0
+ Revision: 369175
- New version 1.4.1

* Sun Mar 08 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.0-2mdv2009.1
+ Revision: 352760
- use configure2_5x
- remove devel file, create a devel package if needed

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 1.4.0

  + Thierry Vignaud <tv@mandriva.org>
    - something's odd with %%configure
    - adjust file list for new man pages path
    - new release

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-2mdv2009.0
+ Revision: 265859
- rebuild early 2009.0 package (before pixel changes)

* Mon May 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.2-1mdv2009.0
+ Revision: 206300
- Update to upstream release 1.3.2.

* Wed Jan 30 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.1-3mdv2008.1
+ Revision: 160485
- Revert to use only upstream tarballs and only mandatory patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.1-2mdv2008.1
+ Revision: 156580
- re-enable rpm debug packages support

* Mon Jan 21 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.3.1-1mdv2008.1
+ Revision: 155649
- Update to version 1.3.1 that should match
  http://xorg.freedesktop.org/archive/individual/driver/xf86-input-joystick-1.3.1.tar.bz2
  Git tag is xf86-input-joystick-1.3.0-1
- Remove .la file. Version 1.3.1 is available and should be updated as soon
  as the current problems are resolved.
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.3.0-2mdv2008.1
+ Revision: 106461
- rebuild for new lzma

* Mon Oct 29 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0-1mdv2008.1
+ Revision: 102992
- new upstream version: 1.3.0

* Mon Oct 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.3-2mdv2008.1
+ Revision: 98641
- minor spec cleanup
- build against xserver 1.4

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 64744
- new release

* Mon Jul 09 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.2.2-1mdv2008.0
+ Revision: 50741
- new upstream version: 1.2.2

* Mon Apr 23 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.1-1mdv2008.0
+ Revision: 17412
- new upstream bugfix release

* Fri Apr 20 2007 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2008.0
+ Revision: 16013
- new release


* Thu Mar 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.1
+ Revision: 147973
- new upstream bugfix release(1.1.1). From the release announce:
  * Bugfix release. Made the module work again after a long while
- rebuild to fix cooker uploading
- Updated drivers for X11R7.1
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix group
    - fill in summary & descriptions for all input drivers

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

